Bug 805105 - Pager for reservations doesn't work properly in sporsclub example
Pager for reservations doesn't work properly in sporsclub example
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Spring, Examples (Show other bugs)
2.0.0.ER3
Unspecified Unspecified
medium Severity medium
: ---
: 2.0.0.ER4
Assigned To: Marius Bogoevici
Tomas Repel
sportsclub
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 10:55 EDT by Tomas Repel
Modified: 2013-03-03 20:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 07:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2012-03-20 10:55:33 EDT
Description of problem:

If there are six reservations and user deletes one, then creates one, the pager still behaves as if there were only five reservations.

Version-Release number of selected component (if applicable):

WFK2 Beta1
Sportsclub, all variants, both hibernate and jpa ears
EAP6 Beta

How reproducible:

Always.

Steps to Reproduce:
1. build and deploy sportsclub example
2. go to Sports Club Reservations
3. click on Search button
4. click on page two
5. only one reservation should appear, delete it
6. click on Create button
7. create and save reservation
8. click on Search button
  
Actual results:

The pager is disabled.

Expected results:

There should be clickable button for page two where the newly added reservation should be displayed.

Additional info:

I think 'resetCurrentCount' and 'getRowCount' methods of AbstractExtendedDataModelHelper' should be called somewhere inside ReservationSearch class, so the pager will work with the proper value.
Comment 3 Tomas Repel 2012-04-19 10:52:57 EDT
Verified in WFK2 ER4
Comment 4 Karel Piwko 2012-06-22 07:10:51 EDT
These example related issues are fixed in WFK 2.0.0. Documenting them as fixed issues is not required.

Note You need to log in before you can comment on or make changes to this bug.